<div>
    <a class="item" *ngIf="isBasketEmpty; else basketHasOrders">Your shopping cart is currently empty!</a>

    <ng-template #basketHasOrders>
      <table class="ui celled padded table">
        <thead>
          <tr>
            <th>Name</th>
            <th>Price</th>
            <th></th>
          </tr>
        </thead>

        <tbody>
          <tr *ngFor="let order of orderLaptops">
            <td>
              <h4>{{ order.name }}</h4>
            </td>
            <td> {{ order.price | currency: "EUR"}} </td>
            <td class="right aligned">
              <button type="button" class="ui fluid button" (click)="removeOrderFromBasket(order)">
                  Remove product
              </button>
            </td>
          </tr>
        </tbody>
      </table>

      <h3>Total price: {{ orderLaptops | productSum | currency: "EUR" }} </h3>
      <button id= "buttonBuy" (click)="onBuyClick()"> {{ bought ? "CONFIRM" : "BUY" }} </button>  
    </ng-template>
</div>